Page 1 of 2 12 LastLast
Results 1 to 10 of 16

Thread: Upgrade font-awesome package to lastest version (4.4.0)

  1. #1
    Sencha Premium User wemerson.januario's Avatar
    Join Date
    Nov 2008
    Location
    Goiânia - GO, Brazil
    Posts
    905
    Answers
    15

    Default Answered: Upgrade font-awesome package to lastest version (4.4.0)

    Could you upgrade font-awesome package to lastest version? I Can't use new icons added.

    Then we can require it [email protected] in app.json.

    I suggest you put font-awesome official version instead of extjs version into font-awesome package.json.

    Thanks!
    Wemerson Januario @JanuarioCoder
    Novanti Tecnologia, Sencha MVP/ Ext JS Consultant
    ____________________________________________
    Hire me on UpWork:

    GitHub
    https://github.com/wemersonjanuario

    Treinamento e Consultoria Ext JS. QUALIFIQUE-SE JÁ!

  2. There is an open feature request for this.

    Thanks!
    Joel

  3. #2
    Sencha User
    Join Date
    Apr 2013
    Posts
    58
    Answers
    2

    Default

    +1 I'm in need of this as well

  4. #3
    Sencha User
    Join Date
    Nov 2014
    Posts
    3,120
    Answers
    446

    Default

    There is an open feature request for this.

    Thanks!
    Joel

  5. #4
    Sencha User
    Join Date
    Oct 2007
    Posts
    16

    Default

    Hi, i've updated font awesome to the last version 4.4.0 with these steps:

    - Download font awesome zip from http://fortawesome.github.io/Font-Awesome/ and decompres it

    - Then replace in your_project/ext/packages/font-awesome/resources/fonts files from font-awesome_decompressed_folder/fonts/

    - Then replace in your_project/ext/packages/font-awesome/sass/etc files from awesome_decompressed_folder/scss

    - Then replace the content in the file your_project/ext/sass/etc/font-awesome-variables.scss for the content of the file awesome_decompressed_folder/scss/_variables.scss

    - Then run "sencha package build" into your_project/ext/packages.

    It took a little time because it builds all theme and ux packages.

    Now i can use the new icons from font-awesome 4.4.0

    Hope it helps.

  6. #5
    Sencha Premium User wemerson.januario's Avatar
    Join Date
    Nov 2008
    Location
    Goiânia - GO, Brazil
    Posts
    905
    Answers
    15

    Default

    thanks for sharing
    Wemerson Januario @JanuarioCoder
    Novanti Tecnologia, Sencha MVP/ Ext JS Consultant
    ____________________________________________
    Hire me on UpWork:

    GitHub
    https://github.com/wemersonjanuario

    Treinamento e Consultoria Ext JS. QUALIFIQUE-SE JÁ!

  7. #6
    Sencha Premium Member
    Join Date
    Apr 2015
    Posts
    43

    Default

    Hi, I have followed the upgrade process as described by juljupy, but I'm experiencing a problem while the command
    Code:
    sencha package build
    is running.

    The error that I get is the following for n variables:
    Code:
    [WRN] Elevating variable '$fa_var_caret_down' to dynamic: <myprojecyfolder>\ext/sass/etc/font-awesome-variables.scss:115
    [WRN]     caused by: <myprojecyfolder>\ext/classic/theme-neutral/sass/var/button/Button.scss:237
    How can I fix that? Can someone help me please?
    Thanks

  8. #7
    Sencha Premium Member
    Join Date
    Feb 2012
    Location
    Hillsborough, NC
    Posts
    429
    Answers
    3

    Default

    Quote Originally Posted by joel.watson View Post
    There is an open feature request for this.

    Thanks!
    Joel
    Any idea on timing?

    Should be an easy update. Download latest version. Build package.

  9. #8
    Sencha Premium Member
    Join Date
    Apr 2015
    Posts
    43

    Default

    Font Awesome version 4.4.0 is shipped with ExtJS 6.0.1

  10. #9

    Default

    Which is not available for everybody.


    I put my package on GitHub:
    https://github.com/Psychokrameur/font-awesome


    (Im not fully familiar with package config especially concerning version and compate version so if someone want to enhance the package.json, feel free!)

  11. #10
    Sencha Premium Member
    Join Date
    Feb 2012
    Location
    Hillsborough, NC
    Posts
    429
    Answers
    3

    Default

    Quote Originally Posted by ExDev View Post
    Font Awesome version 4.4.0 is shipped with ExtJS 6.0.1
    I would have thought it would be in the package repository.

    There it could be updated quickly, easily and regularly and then made available for updating in projects without updating the SDK.

Page 1 of 2 12 LastLast

Similar Threads

  1. Font-Awesome in ExtJS 6 - full font library or subset?
    By AussieFlem in forum Sencha Ext JS Q&A
    Replies: 2
    Last Post: 9 Jul 2015, 3:08 PM
  2. Font Awesome
    By ssamayoa in forum Sencha Architect 2.x: Help & Discussions
    Replies: 14
    Last Post: 17 Mar 2015, 12:42 AM
  3. How to upgrade version of cmd for a package
    By Gordonh in forum Sencha Cmd
    Replies: 1
    Last Post: 3 Sep 2014, 9:40 PM
  4. [FIXED] Sencha Cmd package version upgrade problem
    By Fredric Berling in forum Sencha Cmd
    Replies: 3
    Last Post: 19 Feb 2014, 11:38 PM
  5. Sencha Cmd package version upgrade problem
    By Fredric Berling in forum Sencha Ext JS Q&A
    Replies: 1
    Last Post: 4 Nov 2013, 10:29 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •